commit:     bb2a36d8100f3bd349ed966d52f683f75efcf52d
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 15 17:13:26 2017 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Fri Sep 15 17:25:18 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bb2a36d8

app-xemacs/ebuild-mode: Version bump.

Package-Manager: Portage-2.3.8, Repoman-2.3.3

 app-xemacs/ebuild-mode/Manifest                |  1 +
 app-xemacs/ebuild-mode/ebuild-mode-1.38.ebuild | 24 ++++++++++++++++++++++++
 2 files changed, 25 insertions(+)

diff --git a/app-xemacs/ebuild-mode/Manifest b/app-xemacs/ebuild-mode/Manifest
index e2ab7921f85..fb75096c061 100644
--- a/app-xemacs/ebuild-mode/Manifest
+++ b/app-xemacs/ebuild-mode/Manifest
@@ -1 +1,2 @@
 DIST ebuild-mode-1.37.tar.xz 30816 SHA256 
f7368a8757036874dde542c69c26b824fe3da5241098f89a6b7d7e2665cbbf1d SHA512 
1d570b213ad0c6eef8817f69c99c0862703b9bddc24477234dde542b697ba372a06bbe8e4a91179a7d528b720a7dbfc13bb92c8ea0a4d3b3b8684fa4ee0065c0
 WHIRLPOOL 
75928f5965bdfe66733e203588f01ab3b5de67a5958d33f41069d0793842bd9617ab0904ab71f95aeae04e0aa2f55646e4c545d6199cc1d357140b8fd1a714ab
+DIST ebuild-mode-1.38.tar.xz 30744 SHA256 
63f39bb1a09e29b86e5048f162f4779f287c8825e161a092e74530962947d3c3 SHA512 
bfcc4fb100f7d9299e9b466c7661e865f9b93ee352780da1647f1a98159fe3e9eeb8cd4b7d1d9906d532316d1256ec7b6f821cac3d064cda15f2fd62ca7cb349
 WHIRLPOOL 
ea61825ac0fd2d50ec9722088b03ed9664708dd6fac076ff3db8323bfdf8d1b2e351c7059f2f77471ea200b7a19d9f67ab233ebdb743ece80218f0e940fb0706

diff --git a/app-xemacs/ebuild-mode/ebuild-mode-1.38.ebuild 
b/app-xemacs/ebuild-mode/ebuild-mode-1.38.ebuild
new file mode 100644
index 00000000000..41189cb9095
--- /dev/null
+++ b/app-xemacs/ebuild-mode/ebuild-mode-1.38.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit xemacs-elisp
+
+DESCRIPTION="Emacs modes for editing ebuilds and other Gentoo specific files"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Emacs";
+SRC_URI="https://dev.gentoo.org/~ulm/emacs/${P}.tar.xz";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~x86"
+
+RDEPEND=">=app-editors/xemacs-21.4.20-r5
+       app-xemacs/sh-script"
+DEPEND="${RDEPEND}"
+
+src_compile() {
+       ${XEMACS_BATCH_CLEAN} -eval "(add-to-list 'load-path \".\")" \
+               -f batch-byte-compile ebuild-mode.el gentoo-newsitem-mode.el || 
die
+       xemacs-elisp-make-autoload-file *.el || die
+}

Reply via email to